| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.HintedGrid

Portability | unportable
Stability | unstable
Maintainer | <l.mai@web.de>

Contents

Usage

Description
A not so simple layout that attempts to put all windows in a square grid while obeying their size hints.
Synopsis

data Grid a = Grid Bool
arrange :: Bool -> Rectangle -> [Window] -> X [(Window, Rectangle)]

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.HintedGrid

Then edit your `layoutHook` by adding the `Grid` layout:

     myLayouts = Grid False ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see XMonad.Doc.Extending.

data Grid a | Source

Automatic mirroring of hinted layouts doesn't work very well, so this `Grid` comes with built-in mirroring. `Grid False` is the normal layout, `Grid True` is the mirrored variant (rotated by 90 degrees).
Constructors

Grid Bool |

Instances

LayoutClass Grid Window
Read (Grid a)
Show (Grid a)

arrange :: Bool -> Rectangle -> [Window] -> X [(Window, Rectangle)] | Source

The internal function for computing the grid layout.
Produced by Haddock version 2.4.2